import { UmbLitElement } from '../../lit-element/index.js';
import type { PropertyValueMap } from '../../../../external/lit/index.js';
import type { UmbEntityModel } from '../../entity/index.js';
import './default-item-ref.element.js';
export declare class UmbEntityItemRefElement extends UmbLitElement {
    #private;
    private _component?;
    set item(value: UmbEntityModel | undefined);
    get item(): UmbEntityModel | undefined;
    get readonly(): boolean;
    set readonly(value: boolean);
    get standalone(): boolean;
    set standalone(value: boolean);
    get selectOnly(): boolean;
    set selectOnly(value: boolean);
    get selectable(): boolean;
    set selectable(value: boolean);
    get selected(): boolean;
    set selected(value: boolean);
    get disabled(): boolean;
    set disabled(value: boolean);
    error?: boolean;
    errorMessage?: string | null;
    errorDetail?: string | null;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    render(): import("lit-html").TemplateResult<1>;
    destroy(): void;
    static styles: import("lit").CSSResult[];
}
export { UmbEntityItemRefElement as element };
declare global {
    interface HTMLElementTagNameMap {
        'umb-entity-item-ref': UmbEntityItemRefElement;
    }
}
